package ru.kirillius.pf.sdn.plugins.LocalSubscriptionProvider;

import lombok.Getter;
import ru.kirillius.pf.sdn.api.Networking.Subscriptions.*;
import ru.kirillius.pf.sdn.entity.SubscriptionProviderConfig;

public class LocalSubscriptionProvider implements SubscriptionProviderProtocol {
    @Override
    public String getIdentifier() {
        return "local-filesystem";
    }

    @Getter
    private final PropertyCollection properties;

    public LocalSubscriptionProvider() {
        properties = new PropertyCollection();
        properties.put("path", new Descriptor(
                PropertyType.String,
                false,
                "Path to files is local filesystem"
        ));
    }

    @Override
    public SubscriptionQueryResult query(SubscriptionProviderConfig config) {

        return null;
    }
}
